Bug 1275981 - [TEXT] "Network's configurations differ from" requires variables to allow better localization into different languages
[TEXT] "Network's configurations differ from" requires variables to allow bet...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Edward Haas
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 05:41 EDT by Yuko Katabami
Modified: 2018-05-10 17:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2015-10-28 05:41:00 EDT
Description of problem:

The string "Network's configurations differ from" is currently in zanata translation management system. This is an incomplete sentence and when it is displayed to the user in Admin Portal, it will be shown for example:

Host Network's configurations differ from DC

Since the grammatical order of words differs from one language to another and translators do not have control changing the order with the current string, variables should be included to make the sentence complete.

Version-Release number of selected component (if applicable): 3.6


How reproducible: 100%


Steps to Reproduce:

1. add a host.
2. attache a network to a host's interface using setup network.
3. edit the host's attached network using the pencil to the right,
check "override qos" checkbox and add values in the fields. (say 12, 11, 11)
4. press ok twice (setup network will take action now). wait until the action successfully finished.
5. open a terminal to the host.
6. as root,
# tc class change dev <host_interface_name_of_step_2> parent 1389: classid 1388 hfsc ul m2 2008bit ls m2 808 rt m2 1108bit
7. refresh host capabilities.
8. go to setup network and hover over the out of sync icon.
Actual results:
Host Network's configurations differ from DC

Expected results:
perhaps something like the following with explanation of each variable
{0} Network's configurations differ from {1}

Additional info:
Comment 1 Yuko Katabami 2015-10-29 00:02:53 EDT
Spoke to other translators and found that there is no workaround for Latin languages including French, Spanish, Brazilian-Portuguese, and German.
The first variable (In the example, "Host" is used) must be placed in the middle of the sentence as it needs to be translated "Network configuration of Host" instead of "Host's network configuration".

Without having those variables in the string, we are not able to translate it properly.

@Einav,

I know this is the last translation cycle for 3.6 but it might be better if you can allow us to translate this sentence when it is fixed at source.
Comment 2 Einav Cohen 2015-10-29 11:16:08 EDT
(In reply to Yuko Katabami from comment #1)
> Spoke to other translators and found that there is no workaround for Latin
> languages including French, Spanish, Brazilian-Portuguese, and German.
> The first variable (In the example, "Host" is used) must be placed in the
> middle of the sentence as it needs to be translated "Network configuration
> of Host" instead of "Host's network configuration".
> 
> Without having those variables in the string, we are not able to translate
> it properly.
> 
> @Einav,
> 
> I know this is the last translation cycle for 3.6 but it might be better if
> you can allow us to translate this sentence when it is fixed at source.

No problem, Yuko. Feel free to leave this string untranslated, or simply use the English source string as the translation at this point. 

Creating sentence "particles" is a bad practice for localization purposes; 
network team: please create full-sentence text-entries for localization. 
any variables within localized messages should contain only dynamic values (object names, numbers, etc.) - don't variablize sentence particles, object types (e.g. VM/VMs - there can be localization problems around e.g. singular/plural-related stuff), etc. thanks.
Comment 3 Yuko Katabami 2015-10-29 17:42:09 EDT
Thanks Einav.
Comment 4 Red Hat Bugzilla Rules Engine 2015-10-29 19:41:58 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 6 Sandro Bonazzola 2016-05-02 06:01:09 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 7 Yaniv Lavi 2016-05-23 09:17:05 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 8 Yaniv Lavi 2016-05-23 09:20:57 EDT
oVirt 4.0 beta has been released, moving to RC milestone.

Note You need to log in before you can comment on or make changes to this bug.